Get service groups
GET
{{server}}/api/v1/dispenser/serviceGroupsThis endpoint returns the list of active service groups.
Request
Authorization
| Header | Value |
|---|---|
Authorization | Apikey {{dispenserApikey}} |
Headers
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{dispenserWsID}} |
Code snippets
- cURL
- JavaScript
- Python
curl -X GET '{{server}}/api/v1/dispenser/serviceGroups' \
-H 'Accept: application/json' \
-H 'X-WSID: {{dispenserWsID}}' \
-H 'Authorization: Apikey {{dispenserApikey}}'
const response = await fetch("{{server}}/api/v1/dispenser/serviceGroups", {
method: "GET",
headers: {
"Accept": "application/json",
"X-WSID": "{{dispenserWsID}}",
"Authorization": "Apikey {{dispenserApikey}}"
},
});
const data = await response.json();
console.log(data);
import requests
url = "{{server}}/api/v1/dispenser/serviceGroups"
headers = {
"Accept": "application/json",
"X-WSID": "{{dispenserWsID}}",
"Authorization": "Apikey {{dispenserApikey}}"
}
response = requests.get(url, headers=headers)
print(response.status_code)
print(response.json())
Example
Example request
GET
{{server}}/api/v1/dispenser/serviceGroupsHeaders (2)
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{dispenserWsID}} |
Example response 200 Ok
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 1324 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
Body
[
{
"type": 23,
"key": "00000000-0000-4000-0023-000000000003",
"name": "Service Group 3",
"status": 1,
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Service Group 3",
"explanation": "Explanation text 3"
}
},
"aspect": null,
"time": 1746607450456
},
{
"type": 23,
"key": "00000000-0000-4000-0023-000000000001",
"name": "Commercial banking",
"status": 1,
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Commercial banking",
"explanation": ""
},
"00000000-0000-4000-0004-000000000017": {
"name": "Banki szolgáltatások"
}
},
"statistics": false,
"services": [
"00000000-0000-4000-0007-000000000001",
"00000000-0000-4000-0007-000000000002",
"18ed1ace-7774-441b-648f-98d54a257490",
"00000000-0000-4000-0007-000000000004",
"00000000-0000-4000-0007-000000000003"
],
"aspect": null,
"time": 1746607452295
},
{
"type": 23,
"key": "00000000-0000-4000-0023-000000000002",
"name": "Insurances",
"status": 1,
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Insurances",
"explanation": "Travel, property, pension insurances"
},
"00000000-0000-4000-0004-000000000017": {
"name": "Biztosítások",
"explanation": "Utazás, lakás, nyugdíj biztosítások"
}
},
"statistics": false,
"services": [
"18ed1aa2-c5a3-4946-8ba7-f71bb5ce69c1",
"00000000-0000-4000-0007-000000000006",
"18ed1abe-b483-48ee-38e4-1029aafe62af",
"18ed1ac5-8602-44e0-0e48-05356a4733ea"
],
"aspect": null,
"time": 1746607452364
}
]